BjerksundStenslandApproximationEngine Class Reference
Pricing engines » Vanilla option engines

Bjerksund and Stensland pricing engine for American options (1993) More...

`#include <ql/pricingengines/vanilla/bjerksundstenslandengine.hpp>`

Inherits engine.

## Public Member Functions

| BjerksundStenslandApproximationEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const

## Detailed Description

Bjerksund and Stensland pricing engine for American options (1993)

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.

Examples
  EquityOption.cpp.